OGRE: Ogre::ResourceManager::ResourcePool Class Reference - OGRE Documentation

Public Member Functions | Protected Types | Protected Attributes

# Ogre::ResourceManager::ResourcePool Class Reference

Definition of a pool of resources, which users can use to reuse similar resources many times without destroying and recreating them. More...

`#include <OgreResourceManager.h>`

Inheritance diagram for Ogre::ResourceManager::ResourcePool:
[legend]

List of all members.

## Public Member Functions
| ResourcePool (const String &name)
| ~ResourcePool ()
const String & | getName () const
| Get the name of the pool.
void | clear ()
virtual std::pair< bool, ResourcePtr > | removeItem ()
| Get the next item from the pool.
virtual void | addItem (const ResourcePtr &i)
| Add a new item to the pool.
virtual void | clear ()
| Clear the pool.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Types
typedef list< ResourcePtr >::type | ItemList
## Protected Attributes
String | mName
ItemList | mItems

## Detailed Description

Definition of a pool of resources, which users can use to reuse similar resources many times without destroying and recreating them.

Remarks:
  This is a simple utility class which allows the reuse of resources between code which has a changing need for them. For example,

Definition at line 429 of file OgreResourceManager.h.

## Member Typedef Documentation

typedef list<ResourcePtr >::type Ogre::Pool< ResourcePtr >::ItemList`[protected, inherited]`

Definition at line 795 of file OgreCommon.h.

## Constructor & Destructor Documentation

Ogre::ResourceManager::ResourcePool::ResourcePool | ( | const String & | name | ) |

Ogre::ResourceManager::ResourcePool::~ResourcePool | ( |  | ) |

## Member Function Documentation

virtual void Ogre::Pool< ResourcePtr >::addItem | ( | const ResourcePtr & | i | ) | `[virtual, inherited]`

Add a new item to the pool.

Definition at line 824 of file OgreCommon.h.

References Ogre::Pool< T >::mItems, and OGRE_LOCK_AUTO_MUTEX.

void Ogre::ResourceManager::ResourcePool::clear | ( |  | ) |

virtual void Ogre::Pool< ResourcePtr >::clear | ( | void |  | ) | `[virtual, inherited]`

Clear the pool.

Definition at line 830 of file OgreCommon.h.

References Ogre::Pool< T >::mItems, and OGRE_LOCK_AUTO_MUTEX.

const String& Ogre::ResourceManager::ResourcePool::getName | ( |  | ) | const

Get the name of the pool.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

virtual std::pair<bool, ResourcePtr > Ogre::Pool< ResourcePtr >::removeItem | ( |  | ) | `[virtual, inherited]`

Get the next item from the pool.

Returns:
  pair indicating whether there was a free item, and the item if so

Definition at line 805 of file OgreCommon.h.

References Ogre::Pool< T >::mItems, and OGRE_LOCK_AUTO_MUTEX.

## Member Data Documentation

ItemList Ogre::Pool< ResourcePtr >::mItems`[protected, inherited]`

Definition at line 796 of file OgreCommon.h.

String Ogre::ResourceManager::ResourcePool::mName`[protected]`

Definition at line 432 of file OgreResourceManager.h.

The documentation for this class was generated from the following file:

- OgreResourceManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:59